Loading...
Searching...
No Matches
Exiv2::Error Class Reference

Simple error class used for exceptions. An output operator is provided to print errors to a stream. More...

`#include <error.hpp>`

Inheritance diagram for Exiv2::Error:
[legend]

## Public Member Functions

Creators
| Error (ErrorCode code)
| Constructor taking only an error code.
template<typename A>
| Error (ErrorCode code, const A &arg1)
| Constructor taking an error code and one argument.
template<typename A, typename B>
| Error (ErrorCode code, const A &arg1, const B &arg2)
| Constructor taking an error code and two arguments.
template<typename A, typename B, typename C>
| Error (ErrorCode code, const A &arg1, const B &arg2, const C &arg3)
| Constructor taking an error code and three arguments.
| ~Error () noexcept override=default
| Virtual destructor. (Needed because of throw()).
Accessors
ErrorCode | code () const noexcept
const char * | what () const noexcept override
| Return the error message as a C-string. The pointer returned by what() is valid only as long as the BasicError object exists.

## Detailed Description

Simple error class used for exceptions. An output operator is provided to print errors to a stream.

Examples
  addmoddel.cpp, exifcomment.cpp, exifdata.cpp, exifprint.cpp, exifvalue.cpp, iptceasy.cpp, iptcprint.cpp, metacopy.cpp, mrwthumb.cpp, xmpparse.cpp, xmpprint.cpp, and xmpsample.cpp.

The documentation for this class was generated from the following files:

- error.hpp
- error.cpp